[tool.poetry]
name = "onlyforms-api-service"
version = "0.1.0"
description = ""
authors = ["Plaintextnerds <tim@plaintextnerds.com>"]

[tool.poetry.dependencies]
python = "^3.11"
uvicorn = "^0.21"
fastapi = "^0.95"
pony = {git = "https://github.com/jspricke/pony", rev = "py311"}
bleach = "^6.0"
pendulum = "^2.1"
psycopg2-binary = "^2.9"
python-multipart = "^0.0.6"
limits = "^3.3"
slowapi = "^0.1.8"
asgi-ratelimit = "^0.10"

[tool.poetry.dev-dependencies]
pony-stubs = "^0.5"
types-bleach = "^6.0"
mypy = "^1.2.0"
black = "^23.3.0"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
